Servoy Treeview Bean - Feature #240

even/odd rows colors and grid
02/28/2011 10:34 AM - Imre Tokai

Status: Resolved Start date:
Priority: Normal Due date:
Assignee: % Done:
Category: Estimated time:

Target version:

Browser (if web
client):

02/28/2011

90%
0.00 hour

Description

Would like to have:
-even/odd rows coloring (similar as Feature 205)
-grids around cells

Regards

History

#1 - 03/03/2011 04:59 PM - Imre Tokai
- File evenOddRowsColorGrid.jpg added
- % Done changed from 0 to 90

We've implemented grid and even/odd rows coloring
Should | commit the work? Trunk or branch? Should | upload the file?

Changes are related to renderer and opaque

#2 - 03/08/2011 06:30 PM - Imre Tokai

- Status changed from New to Resolved

New functions added:

elements.treeview.setCertainRowColor (2, '#54FF9F ")

elements.treeview.setSelectionBgColor ('#C8F526"'
elements.treeview.setSelectionFgColor ('#FFFFFF')
elements.treeview.setSelectionFont ('Arial','0"','12")

elements.treeview.setTextIdenting (20)

elements.treeview.setEvenRowColor ('#F4A460") ;
elements.treeview.setOddRowColor ('#EEAEEE") ;

elements.treeview.setGridColor ('#0147FA")
elements.treeview.showHorizontalLines (false);
elements.treeview.showVerticalLines (false);

var fontV = application.showFontChooser ()
application.output ('font: '+fontV)
var arrayF = fontV.split(',")
application.output ('arrayF: '+arrayF)
elements.treeview.setHeaderFont (arrayF[0],arrayF[1l],arrayF[2])

elements.treeview.setHeaderFontSize ('34")
var colr = application.showColorChooser ()

elements.treeview.setColorHeaderFg(colr);

elements.treeview.setSelectionFont ('Arial', '2"','12")
elements.treeview.setHeaderHeight ('100")

Regards
#3 - 03/08/2011 06:32 PM - Imre Tokai

Changes are related to SmartClient

Files

evenOddRowsColorGrid.jpg 91.7 KB 03/03/2011 Imre Tokai
